CONFIG      -= qt
CONFIG      -= x11
CONFIG      += fly
TEMPLATE     = app
LANGUAGE     = C

include( /usr/include/fly-dm/fly-dm.pri )

TARGET	= genfly-dmconf

SOURCES	= genkdmconf.c

load(fly_vars)

#LIBS  += -lX11 -lXRes
CONFIG += link_pkgconfig
PKGCONFIG = x11 xres

#install data files
FLY_DM_SHARE = /usr/share/fly-dm

sess.path = $$FLY_DM_SHARE
sess.files = ../sessions
INSTALLS += sess

themes.path = $$FLY_DM_SHARE
themes.files = ../themes
load(fly_vars)
!equals(FLY_OS_EDITION, "CE") {
    themes.extra = rm ../themes/fly-modern -R
}
INSTALLS += themes

pics.path = $$FLY_DM_SHARE
pics.files = ../pics
INSTALLS += pics

genconf.path  = $$FLY_INSTALL_BINS
genconf.files = genfly-dmconf.post
INSTALLS += genconf

scripts.path = $$FLY_INSTALL_BINS
scripts.files = ../scripts/*
INSTALLS += scripts

autostart.path = $$FLY_DM_SHARE/autostart
autostart.files = ../autostart/greeter
INSTALLS += autostart

udev.path = /lib/udev/rules.d
udev.files = ../udev/*
INSTALLS += udev

polkit.path = /var/lib/polkit-1/localauthority/75-polkitfly.d
polkit.files = ../polkit/*
INSTALLS += polkit

svn.path = $$FLY_DM_SHARE
#svn.extra = find ${INSTALL_ROOT} -name ".svn" -exec rm -rf {} \;
svn.extra = find ${INSTALL_ROOT} -name ".svn" | xargs rm -rf
INSTALLS += svn

#CONFIG += fly_clean_dirs
#FLY_CLEAN_DIRS += $$OBJECTS_DIR $$QMAKE_PKGCONFIG_DESTDIR
#FLY_DISTCLEAN_DIRS += $$DESTDIR

